<script type="text/javascript">
	window.print();
</script>

<?php
include '../../inc/inc.koneksi.php';
include '../../inc/fungsi_tanggal.php';
		
$tanggal= $_GET[tgl];
$cari		= $_GET[cari];
$thn 		= (int) substr($tanggal, 0, 4);
$bln 		= (int) substr($tanggal, 5, 2);
$tgl 		= (int) substr($tanggal, 8, 2);
$kab 	= $thn;

while($kab>4){
	$kab = $kab-4;
}
$tgl=$tgl+1;

if($bln==1){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==2){
	if($kab>0){
		if($tgl==29){
			$tgl=1;
			$bln=$bln+1;
		}
	}else{
		if($tgl==30){
			$tgl=1;
			$bln=$bln+1;
		}
	}
}else if($bln==3){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==4){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==5){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==6){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==7){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==8){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==9){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==10){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==11){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else{
	if($tgl==32){
		$tgl=1;
		$bln=1;
		$thn=$thn+1;
	}
}
$tgl=sprintf("%02s",$tgl);
$bln=sprintf("%02s",$bln);
$tglaw=$thn.'-'.$bln.'-'.$tgl;

$query1=mysql_query("SELECT max(tanggal) as tg_akhir FROM rekapjur ORDER BY tanggal");
$r1=mysql_fetch_array($query1);
$tglak=$r1[tg_akhir];

if($cari=='')
	$kel='KESELURUHAN';
else
	$kel=$cari;

	$query2	= mysql_query("SELECT * FROM company");
	$r2			= mysql_fetch_assoc($query2);
	$kop1 		= $r2[nama1];
	$kop2 		= $r2[nama2];
	$kop3 		= $r2[nama3];
	
	echo "<table width='700'>
		<tr>
			<td style='font:arial 11px'><b>$kop1</b></td>
		</tr>
		<tr>
			<td style='font:arial 11px'>$kop2</td>
		</tr>
		<tr>
			<td style='font:arial 11px'>$kop3</td>
		</tr>
	</table>
		
	<table width='700'>
		<tr>
			<td align='center' style='font:arial 14px'><b>DAFTAR SALDO BUKU PEMBANTU</b></td>
		</tr>
		<tr>
			<td align='center' style='font:arial 14px'><b>PER TANGGAL ".jin_date_str($tgl)."</b></td>
		</tr>
		<tr>
			<td align='center' style='font:arial 14px'><b>KELOMPOK : $kel</b></td>
		</tr>
	</table>
	<br>
	
	<table width='700' border='1' style='border-collapse:collapse'>
		<tr>
			<th>Kode</th>
			<th>Nama Akun</th>
			<th>Debet</th>
			<th>Kredit</th>
		</tr>";
		
		if (!empty($cari)){
			$query1	= "SELECT nobb FROM akun_bp WHERE (naakun LIKE '%$cari%' or noakun LIKE '%$cari%') GROUP BY nobb";
		}else{
			$query1	= "SELECT nobb FROM akun_bp GROUP BY nobb";
		}
		$data1	= mysql_query($query1);
		$jml=1;
		$tdebet=0;
		$tkredit=0;
		
		while($r_data1=mysql_fetch_array($data1)){
			$nobb=$r_data1[nobb];
			
			$sql2	= mysql_query("SELECT * FROM akun_bb WHERE noakun='$nobb' ");
			$r2		= mysql_fetch_assoc($sql2);
			$nabb	= $r2[naakun];

			echo "<tr>
				<td></td>
				<td><b>$nobb</b></td>	
				<td><b>$nabb</b></td>
			</tr>";
			
			if (!empty($cari)){
				$sql	= "SELECT * FROM akun_bp WHERE (naakun LIKE '%$cari%' or noakun LIKE '%$cari%') AND nobb='$nobb' ORDER BY noakun";
			}else{
				$sql	= "SELECT * FROM akun_bp WHERE nobb='$nobb' ORDER BY noakun";
			}
			$query = mysql_query($sql);
		
			$no=1;
			$sdebet=0;
			$skredit=0;
			while($r=mysql_fetch_array($query)){
				if($r[kode]=='D'){
					$debet=$r[saldo]+$r[mutasi_db]-$r[mutasi_kd];
					$kredit='';
				}else{
					$kredit=$r[saldo]+$r[mutasi_kd]-$r[mutasi_db];
					$debet='';
				}
				$norek=$r[noakun];
				$kode=$r[kode];
								
				$sql1	= "SELECT sum(debet) as jdebet,sum(kredit) as jkredit FROM rekapjur WHERE tanggal BETWEEN '$tglaw' AND '$tglak' AND nobp='$norek' AND batal='' GROUP BY nobp";
				$query1 = mysql_query($sql1);
				
				$rdebet=0;
				$rkredit=0;
				while($r1=mysql_fetch_array($query1)){
					$rdebet=$rdebet+$r1[jdebet];
					$rkredit=$rkredit+$r1[jkredit];
				}
				
				if($kode=='D'){
					$mutasi=$rdebet-$rkredit;
					$debet=$debet-$mutasi;
					$sdebet=$sdebet+$debet;
				}else{	
					$mutasi=$rkredit-$rdebet;
					$kredit=$kredit-$mutasi;
					$skredit=$skredit+$kredit;
				}
				
				echo "<tr>
					<td>$no</td>
					<td>$r[noakun]</td>
					<td>$r[naakun]</td>					
					<td align='right'>".number_format($debet,0)."</td>
					<td align='right'>".number_format($kredit,0)."</td>
				</tr>";			
				$no++;				
			}
			echo "<tr>
				<td></td>
				<td></td>
				<td>Jumlah</td>
				<td align='right'>".number_format($sdebet,0)."</td>
				<td align='right'>".number_format($skredit,0)."</td>
				</tr>";
				$tdebet=$tdebet+$sdebet;
				$tkredit=$tkredit+$skredit;
		}
		echo "<tr>			
		<tr>
			<td></td>
				<td></td>
				<td>Total</td>
				<td align='right'>".number_format($tdebet,0)."</td>
				<td align='right'>".number_format($tkredit,0)."</td>
		</tr>
	</table>";
?>
<script type="text/javascript">	
	history.back();
</script>